Orders
List Orders
List your orders with pagination and filters
GET
/
api
/
v1
/
orders
List Orders
curl --request GET \
--url https://api.example.com/api/v1/ordersimport requests
url = "https://api.example.com/api/v1/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
List Orders
Returns a paginated list of your orders, newest first.Query parameters
number
Page number (default 1)
number
Results per page (default 50, max 100)
string
Filter by status (e.g.
filled, pending, failed)string
Filter by order type —
energy or bandwidthResponse
Returnsorders (array of order objects), total, page, and page_size.
Example
curl "https://api.tronrental.com/v1/orders?type=energy&status=filled&page=1" \
-H "X-API-Key: your_api_key"
Response
{
"orders": [
{
"id": 12345,
"type": "energy",
"target_address": "TRecipientAddress...",
"volume": 65000,
"duration": "1h",
"price_trx": "1.79",
"status": "filled",
"delegate_txid": "a1b2c3d4e5f6...",
"undelegate_txid": null,
"reclaim_at": null,
"source": "api",
"created_at": "2026-06-10T04:30:00Z"
}
],
"total": 42,
"page": 1,
"page_size": 50
}
⌘I
List Orders
